> ## Documentation Index
> Fetch the complete documentation index at: https://docs.joyfill.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk create documents



## OpenAPI

````yaml post /documents/bulk
openapi: 3.1.0
info:
  title: joyfill
  version: '1.1'
servers:
  - url: https://api-joy.joyfill.io/v1
security:
  - sec0: []
paths:
  /documents/bulk:
    post:
      summary: Bulk create documents
      operationId: bulk-create-documents
      parameters:
        - name: Authorization
          in: header
          description: >-
            Supports both API Key and User Access Token authorization. See
            https://joyfill.mintlify.app/api/authentication
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  description: >-
                    Array of raw Document objects or Document from template
                    objects. Max 100 documents can be created at a time.
                  items:
                    properties:
                      identifier:
                        type: string
                        description: >-
                          Specifies a document's unique ID. Maximum length is 80
                          characters. Identifier cannot be changed after
                          creation. Leave the identifier param empty to have
                          Joyfill auto generate an identifier.
                      name:
                        type: string
                        description: >-
                          Specifies the visual display name. When the template
                          param is used in this creation event and this name is
                          left blank the document will automatically be given
                          the same name as the original template.
                      files:
                        type: array
                        description: >-
                          Array of JoyDoc file objects. See the JoyDoc data
                          structure under the guides section to learn more.
                        default: []
                      fields:
                        type: array
                        description: >-
                          Array of JoyDoc field objects. See the JoyDoc data
                          structure under the guides section to learn more.
                        default: []
                      template:
                        type: string
                        description: >-
                          The template identifier to use as the source of the
                          document.
                      group:
                        type: string
                        description: >-
                          The group identifier of the group that you would like
                          to create the document for.
                      stage:
                        type: string
                        default: published
                        enum:
                          - draft
                          - published
                    type: object
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: "{\n \t\"data\": [\n    {}\n  ],\n  \"failures\": [\n    {\n      \"message\": \"Example reason for failure\"\n    }\n  ]\n}"
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties: {}
                  failures:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Example reason for failure
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````